Add a booking request that came without a date to the calendar, as an option or confirmed gig
POST/api/booking-form/threads/{threadId}/gig
POST
/api/booking-form/threads/{threadId}/gig
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”threadId
required
string format: uuid
Request Body
Section titled “Request Body”object
date
required
string
status
required
string
Responses
Section titled “ Responses ”Success
object
ok
required
boolean
data
Bad request / invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden / not a band member
object
ok
required
boolean
error
required
string
code
string
Not a booking request thread
object
ok
required
boolean
error
required
string
code
string
Already in the calendar
object
ok
required
boolean
error
required
string
code
string
Server error
object
ok
required
boolean
error
required
string
code
string
